org.apache.solr.security

## Enum AuthorizationContext.RequestType

- java.lang.Object
- - java.lang.Enum<AuthorizationContext.RequestType>
  - - org.apache.solr.security.AuthorizationContext.RequestType

- All Implemented Interfaces:
    Serializable, Comparable<AuthorizationContext.RequestType>
  Enclosing class:
    AuthorizationContext

      public static enum AuthorizationContext.RequestType
      extends Enum<AuthorizationContext.RequestType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADMIN`
    `READ`
    `UNKNOWN`
    `WRITE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthorizationContext.RequestType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AuthorizationContext.RequestType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READ

          public static final AuthorizationContext.RequestType READ

    - #### WRITE

          public static final AuthorizationContext.RequestType WRITE

    - #### ADMIN

          public static final AuthorizationContext.RequestType ADMIN

    - #### UNKNOWN

          public static final AuthorizationContext.RequestType UNKNOWN

  - ### Method Detail

    - #### values

          public static AuthorizationContext.RequestType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AuthorizationContext.RequestType c : AuthorizationContext.RequestType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AuthorizationContext.RequestType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.